document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_6300 | ---
+++
@@ -6,6 +6,7 @@
ROOT_DIR="$(dirname "${SCRIPT_DIR}")"
LLVM_DIR="${ROOT_DIR}/third_party/llvm"
CLANG_DIR="${LLVM_DIR}/tools/clang"
+DEPTH=5000
LLVM_SHA=644d8eaae43035481913aa898626305c59343f85
CLANG_SHA=e90410ed3ac353b1bbc98970b2954ffeff65ab16
@@ -15,9 +16,14 @@
local url=$2
if [[ -d ${dir} ]]; ... | bash |
d_bash_6301 | ---
+++
@@ -3,9 +3,5 @@
sudo ${INCLUDEOS_HOME-$HOME/IncludeOS_install}/etc/create_bridge.sh
make -j
-export CMDLINE="-append ${1}"
-if [ $# -eq 0 ]
-then
- export CMDLINE=""
-fi
+export CMDLINE="-append \"${*}\""
source ${INCLUDEOS_HOME-$HOME/IncludeOS_install}/etc/run.sh `make kernelfile` | bash |
d_bash_6302 | ---
+++
@@ -3,7 +3,7 @@
# Also if you want to revert to releases and bintray builds, you need to uninstall them from your local maven repo...
echo "Downloading the Engine, this may take some time"
# To have the latest Commit on 3.1 use "-b v3.1". If you want a certain tag, use "-b v3.1.0-beta2"
-git clone -b v3.1.... | bash |
d_bash_6303 | ---
+++
@@ -18,5 +18,5 @@
[[ -z "$BUILDKITE_TAG" ]] || docker push "$REPO:$PREFIX-$SANITIZED_TAG"
echo '+++ :put_litter_in_its_place: Cleaning Up'
docker rmi "$REPO:$PREFIX-$SANITIZED_BRANCH"
-[[ -z "$BUILDKITE_TAG" ]] || docker rmi "$REPO:$PREFIX-$SANITIZED_TAG"
+[[ -z "$BUILDKITE_TAG" || "$SANITIZED_BRANCH" == "... | bash |
d_bash_6304 | ---
+++
@@ -33,8 +33,8 @@
brew cask install google-chrome
brew cask install iterm2
brew cask install karabiner
+brew cask install keepassx
brew cask install keycastr
-brew cask install macpass
brew cask install postgres
brew cask install skype
brew cask install sophos-anti-virus-home-edition | bash |
d_bash_6305 | ---
+++
@@ -25,14 +25,12 @@
if [ $? = 0 ]
then
log "Successfully processed: \"$command\""
- respond "$sender" "Successfully processed: \"$command\""
rm "$processed_path"
exit 0 # process only one queue!
else
log "$output"
log "Failed to process \"$command\""
rm "$processed_pa... | bash |
d_bash_6306 | ---
+++
@@ -14,7 +14,7 @@
# Filter out anything that we aren't trying to compile. Older clang-tidy
# versions (<=6) skipped them automatically.
-if grep "${FILE}" "${CMAKE_BINARY_DIR}/compile_commands.json"; then
+if grep -q "${FILE}" "${CMAKE_BINARY_DIR}/compile_commands.json"; then
${CLANG_TIDY} -quiet -head... | bash |
d_bash_6307 | ---
+++
@@ -19,7 +19,7 @@
koopa::install_start "$name_fancy"
koopa::fedora_dnf_install 'dnf-plugins-core' 'util-linux-user'
koopa::rhel_enable_epel
- if koopa::is_centos
+ if koopa::is_centos || koopa::is_rocky
then
powertools='powertools'
else | bash |
d_bash_6308 | ---
+++
@@ -16,5 +16,7 @@
GO=`which go`
# sudo is required because some testcases manipulate network namespaces
sudo -E bash -c "umask 0; CGO_ENABLED=0 ${GO} test "${goflags[@]:+${goflags[@]}}" ${PKGS}"
+retcode=$?
popd
+exit $retcode | bash |
d_bash_6309 | ---
+++
@@ -1,2 +1,3 @@
+source ${projectDir}lib/colorme.sh
source ${projectDir}lib/include.sh
source ${projectDir}lib/package.sh | bash |
d_bash_6310 | ---
+++
@@ -4,4 +4,6 @@
on_chroot <<- EOF
SUDO_USER="${FIRST_USER_NAME}" rename-user -f -s
EOF
+else
+ rm -f "${ROOTFS_DIR}/etc/xdg/autostart/piwiz.desktop"
fi | bash |
d_bash_6311 | ---
+++
@@ -4,6 +4,7 @@
cat > test.py <<-EOF
import stbt
+ stbt.frames(timeout_secs=30).next() # wait 'til video pipeline playing
text = stbt.ocr()
assert text == "Hello there", "Unexpected text: %s" % text
| bash |
d_bash_6312 | ---
+++
@@ -25,6 +25,10 @@
i.e.: tox -e py27 test_servers
+Use following to replace './run_test.sh -8' to do pep8 check with changed files
+
+ tox -e pep8 -- -HEAD
+
Additional tox targets are available in tox.ini. For more information
see:
http://docs.openstack.org/project-team-guide/project-setup/python.ht... | bash |
d_bash_6313 | ---
+++
@@ -2,9 +2,7 @@
set -e
-container_ip=$(docker inspect -f '{{.NetworkSettings.IPAddress}}' openregister)
-
-while ! curl -sf -o /dev/null http://${container_ip}:8081/healthcheck
+while ! curl -sf -o /dev/null http://0.0.0.0:8081/healthcheck
do
echo "Sleeping 5 seconds and then retry"
sleep 5 | bash |
d_bash_6314 | ---
+++
@@ -5,14 +5,12 @@
./liftsh test
if [ "${TRAVIS_PULL_REQUEST}" = "false" ]; then
- echo "Attempting publish!"
-
if [ "${TRAVIS_BRANCH}" = "master" ]; then
- sbt publish
+ ./liftsh publish
fi
if [ "${TRAVIS_BRANCH}" = "lift_26" ]; then
- sbt ++2.10.4 "project lift-framework-pre-111" pub... | bash |
d_bash_6315 | ---
+++
@@ -4,6 +4,6 @@
cd "$( cd "$( dirname "$0" )" && pwd )/../"
rm -rf neo4j-server
-wget https://neo4j.com/artifact.php?name=neo4j-community-$NEO4J_VERSION-unix.tar.gz -O neo4j.tar.gz
+wget -q https://neo4j.com/artifact.php?name=neo4j-community-$NEO4J_VERSION-unix.tar.gz -O neo4j.tar.gz
tar xf neo4j.tar.gz
... | bash |
d_bash_6316 | ---
+++
@@ -1,5 +1,8 @@
# Use coreutils from brew. Install via `$ brew install coreutils'.
which brew &> /dev/null
if [[ $? -eq 0 ]]; then
- export PATH="$(brew --prefix coreutils)/libexec/gnubin:$PATH"
+ # Use string path as this brew command is slow.
+ # coreutils_path=$(brew --prefix coreutils)
+ co... | bash |
d_bash_6317 | ---
+++
@@ -3,6 +3,10 @@
describe 'sinatra-gen: generates a starter Sinatra project'
sinatra_gen='./sinatra-gen'
+
+after() {
+ rm -rf foo
+}
it_displays_help_when_called_without_arguments() {
$sinatra_gen | grep USAGE | bash |
d_bash_6318 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-openocd -f interface/$INTERFACE.cfg -f target/$TARGET.cfg \
+openocd -d0 -f interface/$INTERFACE.cfg -f target/$TARGET.cfg \
-c 'init' \
-c 'arm semihosting enable' \
-c 'reset run' | bash |
d_bash_6319 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash -xe
sudo apt-get install -y python-pytest \
unixodbc unixodbc-dev \
- libboost-all-dev \
+ libboost-date-time-dev \
mysql-server-5.6 mysql-client-core-5.6 mysql-client-5.6 libmyodbc \
postgresql odbc-postgresql=1:09.02.0100-2ubuntu1
sudo ... | bash |
d_bash_6320 | ---
+++
@@ -16,7 +16,7 @@
# Copy Pester
mkdir -p bin/Modules/Pester
-cp -r ext-src/pester bin/Modules/Pester
+cp -r ext-src/pester/* bin/Modules/Pester
# Patch
cp patches/*.dll bin/ | bash |
d_bash_6321 | ---
+++
@@ -1,8 +1,11 @@
#!/bin/bash
-echo ',-------------------------------------------------.'
-echo '| Run: gulp watch |'
-echo '`-------------------------------------------------'"'"
+echo ',---------------------------------------------------------.'
+echo '| Run: gulp watch ... | bash |
d_bash_6322 | ---
+++
@@ -1,4 +1,10 @@
#!/bin/bash
-oq webui start 0.0.0.0:8800 &> /tmp/webui.log &
-/bin/bash
+if [ -t 1 ]; then
+ # TTY mode
+ oq webui start 0.0.0.0:8800 &> /tmp/webui.log &
+ /bin/bash
+else
+ # Headless mode
+ oq webui start 0.0.0.0:8800 &> /tmp/webui.log
+fi | bash |
d_bash_6323 | ---
+++
@@ -6,7 +6,7 @@
TOKEN="$4"
releaseVersion="$(mvn -Dversion.scala.major="$SCALA_MAJOR_VERSION" -Dversion.scala.minor="$SCALA_MINOR_VERSION" -Drevision=$(git show -s --format=%ct.%h) help:evaluate -Dexpression=project.version -q -DforceStdout)"
-message=$(git log -1 --pretty=%B)
+message=$(git log -n 1 --pr... | bash |
d_bash_6324 | ---
+++
@@ -1,12 +1,10 @@
#! /usr/bin/env bash
-DOTFILES_HOME=~/Programming/Other/dotfiles
-
-for file in `find ./src -path '*/preload/*.sh'` ; do
+for file in `find $DOTFILES_HOME/src -path '*/preload/*.sh'` ; do
. $file
done
-for file in `find ./src -path '*.sh' ! -name 'include.sh' ! -path '*/preload/*.sh... | bash |
d_bash_6325 | ---
+++
@@ -8,5 +8,6 @@
gmx mdrun \
-deffnm 3_min\
-mp ../1_pdb2gmx/topol.top\
+ -nt 1\
-v
| bash |
d_bash_6326 | ---
+++
@@ -12,20 +12,21 @@
pushd "${TMP_DIR}"
git clone git@github.com:detroit-labs/AmazeKit
+cd AmazeKit/
git fetch --all
git checkout gh-pages
popd
-rsync -HhavP --delete docs/html/ "${TMPDIR}/"
+rsync -HhavP --delete --exclude=".git/" docs/html/ "${TMP_DIR}/AmazeKit/"
-pushd "${TMP_DIR}"
+pushd "${TM... | bash |
d_bash_6327 | ---
+++
@@ -1,3 +1,4 @@
-if [ -f "/run/user/1000/ssh-agent.socket" ]; then
- export SSH_AUTH_SOCK=/run/user/1000/ssh-agent.socket
+# This makes use of the systemd unit which sets up this socket
+if [ -e "/run/user/$(id -u)/ssh-agent.socket" ]; then
+ export SSH_AUTH_SOCK=/run/user/$(id -u)/ssh-agent.socket
fi | bash |
d_bash_6328 | ---
+++
@@ -7,7 +7,7 @@
spark.eventLog.enabled true
spark.eventLog.dir /tmp/spark-eventlog
spark.serializer org.apache.spark.serializer.KryoSerializer
- spark.tachyonStore.url tachyon://TachyonMaster.local:19998
+ spark.tachyonStore.url tachyon://TachyonMaster:19998
# externalBlockStore.url is needed in... | bash |
d_bash_6329 | ---
+++
@@ -1,15 +1,2 @@
#!/bin/bash
-set -e
-
-echo "###### Building Docker image..."
-
-cd "$(dirname ${BASH_SOURCE[0]})"/..
-
-git submodule update --init --recursive
-mvn clean package
-RHVERSION=$(./bin/project-version.sh)
-export RHVERSION
-echo "###### Building Docker image for RESTHeart Version $RHVERSION"
-... | bash |
d_bash_6330 | ---
+++
@@ -3,7 +3,7 @@
# Simple rsync from hbUi.sse/dist/... to a given target project lib for quick dev turnaround
#
export HBUI_SSE_HOME=/home/patrick/Documents/hb/5/workspace/hbUi.sse/
-export HBUI_SSE_DIST=${HBUI_SSE_HOME}/main/dist/
+export HBUI_SSE_DIST=${HBUI_SSE_HOME}/target/dist/
export HBUI_SSE_TARGET=... | bash |
d_bash_6331 | ---
+++
@@ -7,3 +7,5 @@
apt install -y clang cmake build-essential libxxf86vm-dev libxrandr-dev xorg-dev libglu1-mesa-dev libxrandr2 libglfw3 libglfw3-dev # libglfw3-wayland
cargo test
+cargo build --target wasm32-unknown-unknown
+cargo build --target wasm32-unknown-asmjs | bash |
d_bash_6332 | ---
+++
@@ -3,7 +3,7 @@
systems=($@)
if [ ${#systems[@]} -eq 0 ]; then
- systems=(bash python js)
+ systems=(bash python js go)
fi
declare -A scores | bash |
d_bash_6333 | ---
+++
@@ -9,4 +9,4 @@
cp qemu-arm-static resin-xbuild $dir/rootfs/usr/bin
chmod +x $dir/rootfs/usr/bin/qemu-arm-static
-./mkimage.sh -t $REPO:$SUITE --dir=$dir debootstrap --foreign --variant=minbase --keyring=/root/.gnupg/pubring.gpg --arch=armhf --include=sudo,ca-certificates,dirmngr,netbase,curl $SUITE $MIR... | bash |
d_bash_6334 | ---
+++
@@ -2,5 +2,5 @@
for PIP in /opt/python/*/bin/pip; do
$PIP install --disable-pip-version-check --upgrade pip
- $PIP install scikit-build==0.10.0
+ $PIP install scikit-build==0.8.1
done | bash |
d_bash_6335 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
DIR=`dirname $0`
+set -x
-echo "BASEDIR $DIR"
oc login -u test -p test --insecure-skip-tls-verify=true https://localhost:8443
oc delete project enmasse-ci
| bash |
d_bash_6336 | ---
+++
@@ -1,6 +1,8 @@
-# Aliases to stop, start and restart Postgres
-# Paths noted below are for Postgress installed via Homebrew on OSX
+# Aliases to control Postgres
+# Paths noted below are for Postgres installed via Homebrew on OSX
alias startpost='pg_ctl -D /usr/local/var/postgres -l /usr/local/var/postgre... | bash |
d_bash_6337 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-export CKPT_REDIS="${REDIS_PORT_6379_TCP_ADDR}:${REDIS_PORT_6379_TCP_PORT}"
-export CKPT_AMQP_URL="amqp://guest:guest@${RABBITMQ_PORT_5672_TCP_ADDR}:${RABBITMQ_PORT_5672_TCP_PORT}"
+export CKPT_REDIS="redis:6379"
+export CKPT_AMQP_URL="amqp://guest:guest@rabbitmq:5672"
sleep 5
./... | bash |
d_bash_6338 | ---
+++
@@ -6,3 +6,8 @@
# Get (unprefixed) GNU utils to override BSD utils.
add_to_path $HOME/homebrew/opt/coreutils/libexec/gnubin
+
+function man-nognu () {
+ gnuman=$HOME/homebrew/opt/coreutils/libexec/gnuman
+ MANPATH=${MANPATH/$gnuman:/} man "$@"
+} | bash |
d_bash_6339 | ---
+++
@@ -1,5 +1,5 @@
sudo yum -y update
sudo yum -y groupinstall 'Development Tools'
-sudo yum -y install git
+sudo yum -y install git vim zsh
git config --global user.name "Bryce Davis"
git config --global user.email me@bryceadavis.com | bash |
d_bash_6340 | ---
+++
@@ -10,7 +10,7 @@
PREFIX=/Developer/Cocotron/1.0/Windows/i386/
-$scriptResources/downloadFilesIfNeeded.sh $downloadFolder "ftp://ftp.zlatkovic.com/libxml/libxml2-2.7.7.win32.zip ftp://ftp.zlatkovic.com/libxml/iconv-1.9.2.win32.zip"
+$scriptResources/downloadFilesIfNeeded.sh $downloadFolder "https://cocot... | bash |
d_bash_6341 | ---
+++
@@ -17,6 +17,6 @@
source venv/bin/activate
fi
pip install numpy
-if [ "$TRAVIS_OS_NAME" == "linux" ]; then
- pip install atomistica
-fi
+#if [ "$TRAVIS_OS_NAME" == "linux" ]; then
+# pip install atomistica
+#fi | bash |
d_bash_6342 | ---
+++
@@ -5,7 +5,7 @@
#
if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root"
+ echo "This script must be run as su"
exit 1
fi
| bash |
d_bash_6343 | ---
+++
@@ -7,8 +7,8 @@
IFS=$'\n\t'
# Make compiled static files available
-rm -rf static/mount/gen
-cp -r static/gen static/mount
+rm -rf static/mount/*
+cp -r static/* static/mount || true
# Run supervisor to run uwsgi
supervisord -c config/supervisord.conf | bash |
d_bash_6344 | ---
+++
@@ -19,6 +19,12 @@
exit 1
fi
+running_etcd=$(ps -ef | grep etcd | grep -c name)
+if [ "$running_etcd" != "0" ]; then
+ echo "etcd appears to already be running on this machine, please kill and restart the test."
+ exit 1
+fi
+
# Stop right away if the build fails
set -e
| bash |
d_bash_6345 | ---
+++
@@ -4,6 +4,7 @@
# make sure your key doesn't have a passphrase or the fetch will
# fail
+set -e
shopt -s nullglob
DOTFILES_ROOT=$(cd "$(dirname "${BASH_SOURCE[0]}")/.." &> /dev/null && pwd)
@@ -41,4 +42,4 @@
foreach_directory "$DOTFILES_ROOT/colors" "update_remotes"
foreach_directory "$DOTFILES_ROOT... | bash |
d_bash_6346 | ---
+++
@@ -12,4 +12,21 @@
# %llvmgxx - llvm-g++ command
# %prcontext - prcontext.tcl script
#
-make check-one TESTONE=$1
+TESTFILE=$1
+if test `dirname $TESTFILE` == . ; then
+ TESTPATH=`pwd`
+ SUBDIR=""
+ while test `basename $TESTPATH` != "test" -a ! -z "$TESTPATH" ; do
+ tmp=`basename $TESTPATH`
... | bash |
d_bash_6347 | ---
+++
@@ -16,3 +16,4 @@
pgrep -f "seed.*/.*(actor|learner)" | xargs kill -9 2> /dev/null
tmux kill-session -t seed_rl
+reset | bash |
d_bash_6348 | ---
+++
@@ -1,5 +1,5 @@
while (true);
-do ./bin/mysite customs_daily_tasks ;
+do ./manage.py customs_daily_tasks ;
echo -e "\nSleeping...\n"
sleep 24h;
done; | bash |
d_bash_6349 | ---
+++
@@ -38,7 +38,7 @@
cd $out
git clone $repo_url
cd `ls`
-mkdir -p ./$path_within_url && cp -R $root/../../../../dist/docsite/* ./$path_within_url
+mkdir -p ./$path_within_url && cp -R $root/../../dist/docsite/* ./$path_within_url
git add .
git commit -am "publish by $USER"
git push origin master | bash |
d_bash_6350 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-./spark-ec2 --instance-type m4.xlarge --identity-file ../inreach-ml-batch/src/main/resources/spark-cluster.pem --key-pair spark-cluster --slaves 2 --region eu-west-1 --copy-aws-credentials --ebs-vol-num 1 --ebs-vol-size 6 --run-job /root/spark-ec2/runTraining.sh launch sparkTrain... | bash |
d_bash_6351 | ---
+++
@@ -1,16 +1,42 @@
#!/usr/bin/env bash
+
+CHECK_DIR='../'
+if ! [ "$SERVER_VERSION" ]; then
+ CHECK_DIR=$1
+fi
function recursive_optimize_images() {
cd "$1" || return
+ DIR_NAME=${PWD##*/}
- # Optimize all JPGs and PNGs
- optipng -o6 -strip all *.png
- jpegoptim --strip-all *.jpg
+ if [[ "$DIR_NAME" =... | bash |
d_bash_6352 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash
main() {
+ echo "S T O P I N G S E R V E R . . ."
+ ./stop_prod_server.bash
+
echo "P U L L I N G R E C E N T C H A N G E S . . ."
git pull
@@ -12,6 +15,9 @@
echo "S E T T I N G U P N G I N X . . ."
setup_nginx
+
+ echo "S T A R T I N G S ... | bash |
d_bash_6353 | ---
+++
@@ -10,4 +10,5 @@
cp -a json-logs/samples/app-backend/interactive-messages/. ../seratch-slack-types/json/app-backend/interactive-messages/
cp -a json-logs/samples/app-backend/message-actions/. ../seratch-slack-types/json/app-backend/message-actions/
cp -a json-logs/samples/app-backend/slash-commands/. ../s... | bash |
d_bash_6354 | ---
+++
@@ -14,9 +14,8 @@
agvtool_path=$(which agvtool)
build_version=$(agvtool what-version -terse)
market_version=$(agvtool what-marketing-version -terse1)
- echo "$build_version ($market_version)"
+ echo "$market_version ($build_version)"
}
-# alias version="echo \"$(agvtool what-version -terse) ($(agvtool ... | bash |
d_bash_6355 | ---
+++
@@ -6,9 +6,10 @@
mkdir /tmp/$DATE-$GITBRANCH
for i in `find . -d 1 -type d`; do
cd "$i"
- make -f ../Makefile 2>&1 > /dev/null
+ echo "Building $i"
+ make -f ../../../makefiles/Sketches.mk
mv "$i.hex" "/tmp/$DATE-$GITBRANCH/$i-$DATE-$GITBRANCH.hex"
- echo Built $i-$DATE-$GITBRANCH
+ ... | bash |
d_bash_6356 | ---
+++
@@ -1 +1,4 @@
+sed -i.bak 's^TABIX_LIB_DIR)$^TABIX_LIB_DIR) -L$(PREFIX)/lib^' src/Makefile
+sed -i.bak 's^TABIX_INCLUDE_DIR)$^TABIX_INCLUDE_DIR) -L$(PREFIX)/include/^ src/Makefile
+
make BIN_DIR=$PREFIX/bin | bash |
d_bash_6357 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
+set -ex
BASEDIR=${PWD}
git clone git://github.com/jedisct1/libsodium.git
@@ -21,5 +22,6 @@
popd
dub test -b unittest-cov --combined
+rm src-noise.lst
chmod +x ./doveralls
./doveralls | bash |
d_bash_6358 | ---
+++
@@ -1,3 +1,9 @@
# OpenvStorage profile: executed by Bourne-compatible login shells.
export PYTHONPATH="${PYTHONPATH}:/opt/OpenvStorage:/opt/OpenvStorage/webapps"
+
+function ovs() {
+ source /opt/OpenvStorage/bin/activate
+ cd /opt/OpenvStorage
+ ipython
+} | bash |
d_bash_6359 | ---
+++
@@ -14,3 +14,6 @@
# Setup known hosts
mkdir -p /home/vagrant/.ssh/
ssh-keyscan -t rsa -H github.com >> /home/vagrant/.ssh/known_hosts
+
+# Stop Git from trying to guess author's name and email from system values
+git config --global --add user.useConfigOnly true | bash |
d_bash_6360 | ---
+++
@@ -2,21 +2,21 @@
# Makes Docker on Ubuntu listen on tcp port 4243
DF=/lib/systemd/system/docker.service
if test ! -f $DF; then
- echo "$DF does not exist"
- exit 1
+ echo "$DF does not exist"
+ exit 1
fi
if test ! -w $DF; then
- echo "$DF is not writable"
- exit 1
+ echo "$DF is not writable"
+ exit... | bash |
d_bash_6361 | ---
+++
@@ -12,15 +12,9 @@
#serverPid=$!
#trap killServer EXIT
-gulp test-sauce &
-saucePid=$!
+gulp test-sauce
+
#./node_modules/.bin/protractor protractor.travis.conf.js &
-while [ ! -f /tmp/waiting.debug ]; do
- echo "waiting for $saucePid"
- ps -efl | grep gulp
- sleep 5
-done
-wait %1
-touch /tmp/waiti... | bash |
d_bash_6362 | ---
+++
@@ -1,2 +1,2 @@
-mvn -q clean verify -Dmaven.test.skip=true
+mvn -q clean install -DskipTests
mvn -q exec:java -Dexec.mainClass="soaba.services.RestletServer" | bash |
d_bash_6363 | ---
+++
@@ -15,7 +15,7 @@
echo $DOCKER_PASSWORD| sudo -S docker login -u=$REGISTRY_LOGIN -p=$REGISTRY_PASSWORD https://$REGISTRY_ADDRESS
echo "Pulling the image named $REGISTRY_ADDRESS/$IMAGE_NAME:$IMAGE_VERSION from docker engine $DOCKER_ADDRESS "
-docker -H $DOCKER_ADDRESS pull $REGISTRY_ADDRESS/$IMAGE_NAME:$IM... | bash |
d_bash_6364 | ---
+++
@@ -1,9 +1,9 @@
#!/bin/sh
dsql () {
- drush sql-sync $1 default
+ drush sql-sync $1 @self
}
dfiles () {
- drush rsync $1:%files default:%files
+ drush rsync $1:%files @self:%files
} | bash |
d_bash_6365 | ---
+++
@@ -3,7 +3,7 @@
git log origin/master... | grep -q SKIP_BUILD && exit 0
-[ -z "$UPDATE_COVERAGE" ] || composer require satooshi/php-coveralls:dev-master
+[ -z "$UPDATE_COVERAGE" ] || composer require satooshi/php-coveralls:v1.1.0
composer install --dev
git diff $(git merge-base origin/master HEAD) > ... | bash |
d_bash_6366 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
-: "${taito_cli_path:?}"
: "${kubectl_name:?}"
+: "${taito_zone:?}"
: "${gcloud_zone:?}"
(${taito_setv:?}; gcloud container clusters get-credentials "${kubectl_name}" \
- --zone "${gcloud_zone}")
+ --project "${taito_zone}" --zone "${gcloud_zone}") | bash |
d_bash_6367 | ---
+++
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
xcodebuild -workspace Hammerspoon.xcworkspace -scheme Release test-without-building 2>&1 | tee test.log
-RESULT=$(cat test.log | grep -A1 "Test Suite 'All tests'" | tail -1)
+RESULT=$(grep -A1 "Test Suite 'All tests'" test.log | tail -1 | sed -e 's/^[ ]+//')
ech... | bash |
d_bash_6368 | ---
+++
@@ -14,16 +14,17 @@
install_cask keyboard-maestro
install_cask flux
# Install additional apps
+install_cask keybase
+install_cask zoom
+install_cask slack
+install_cask microsoft-teams
+install_cask postman
+# Least-essential apps
install_cask appcleaner
install_cask namechanger
install_cask the-unarchi... | bash |
d_bash_6369 | ---
+++
@@ -5,7 +5,7 @@
rm -rf $BUILD_DIR
mkdir $BUILD_DIR
cd $BUILD_DIR
-cmake -DCMAKE_BUILD_TYPE=Release -DWITH_PERF=TRUE ..
+cmake -DCMAKE_BUILD_TYPE=Release -DWITH_PERF=TRUE -DWITH_RECOMMENDER_BOOST=TRUE ..
make -j8
cd examples/
./example_recommendation -dataset u1 -numMeasurements 7 -test -cpufreq 23000000... | bash |
d_bash_6370 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# init IndexData ubuntu deb repository
| bash |
d_bash_6371 | ---
+++
@@ -18,9 +18,9 @@
pushd ./openexr
git checkout v${EXRVERSION} --force
cd IlmBase
-./bootstrap && ./configure --prefix=${EXRINSTALLDIR} && make -j 4 && make install
+./bootstrap && ./configure --prefix=${EXRINSTALLDIR} && make clean && make -j 4 && make install
cd ../OpenEXR
-./bootstrap ; ./configure --pr... | bash |
d_bash_6372 | ---
+++
@@ -4,4 +4,5 @@
youtube-dl https://www.youtube.com/watch?v=wXHFUfO7sG8
youtube-dl https://www.youtube.com/watch?v=jn9RrUCiWKM
youtube-dl https://www.youtube.com/watch?v=fNMO3kAX0PE
+youtube-dl https://www.youtube.com/watch?v=WE747LfSDrw
| bash |
d_bash_6373 | ---
+++
@@ -4,7 +4,7 @@
# Generating documentation
for nb in examples/*ipynb; do
- jupyter nbconvert --ExecutePreprocessor.timeout=1024 --execute "$nb" --to markdown |& tee nb_to_md.txt
+ jupyter nbconvert --ExecutePreprocessor.timeout=3600 --execute "$nb" --to markdown |& tee nb_to_md.txt
traceback=$(... | bash |
d_bash_6374 | ---
+++
@@ -10,6 +10,7 @@
cd dist-extract
tar -xvf ../dist/symengine-*.tar.gz
cd symengine-*
+export PYTHON_SOURCE_DIR=$PWD
# Build inplace so that nosetests can be run inside source directory
python3 setup.py install build_ext --inplace --symengine-dir=$our_install_dir | bash |
d_bash_6375 | ---
+++
@@ -14,7 +14,6 @@
pub global run dart_coveralls report \
--token $COVERALLS_TOKEN \
--retry 2 \
- --exclude-test-files \
--throw-on-error \
--debug \
test/runner.dart | bash |
d_bash_6376 | ---
+++
@@ -1,12 +1,6 @@
#!/bin/bash -xue
cd /opt/stack/tempest
-
-echo "*** Hack: Apply https://review.openstack.org/#/c/226375/"
-curl "https://review.openstack.org/gitweb?p=openstack/tempest.git;a=patch;h=edee6507df2b73ec76cccc37317581b1741fda2d" | git am
-
-git log -n2
-
set +e
tox -e all -- tempest.api.ima... | bash |
d_bash_6377 | ---
+++
@@ -5,6 +5,9 @@
echo "No user-specific Ansible playbook defined. Nothing to do."
exit
fi
+
+# make sure we can get the apt lock before running the plays
+until sudo apt-get update; do echo "Waiting for apt-get lock"; sleep 5; done
# the GitHub location of the custom Ansible plays to run eg, kurron/ans... | bash |
d_bash_6378 | ---
+++
@@ -8,7 +8,12 @@
ctest -V
if [ "$CC" == "gcc" ]; then
- make coverage
+ # For some reason, this needs clean build
+ rm -rf *
+ cmake $SOURCE -DCMAKE_BUILD_TYPE=Debug -DCMAKE_C_COMPILER=gcc -DCOVERAGE=ON -DCUSTOM_ALLOC=$CUSTOM_ALLOC
+ make
+ ctest
+ lcov --capture --directory . --outpu... | bash |
d_bash_6379 | ---
+++
@@ -39,8 +39,8 @@
}
function recipe_stage {
- echo "skipping stage"
dest="$(realpath $1)"
make DESTDIR="$dest" install
+ rm -f "$dest/lib/"*.la
skip=1
} | bash |
d_bash_6380 | ---
+++
@@ -6,4 +6,5 @@
make
mv unicensd ..
mv xml2struct ..
+mv unicensc ..
| bash |
d_bash_6381 | ---
+++
@@ -1,3 +1,3 @@
# For zsh-bundle-exec plugin
BUNDLE_EXEC_GEMFILE_CURRENT_DIR_ONLY=yes
-BUNDLE_EXEC_COMMANDS='rails rake rspec'
+BUNDLE_EXEC_COMMANDS='rails rake rspec spring' | bash |
d_bash_6382 | ---
+++
@@ -6,4 +6,5 @@
sudo pip install mock
sudo pip install mox
sudo pip install google_apputils
+sudo pip install pyobjc-core pyobjc-framework-CoreWLAN pyobjc-framework-Cocoa
python -m unittest discover -s gmacpyutil -p '*_test.py' -t . | bash |
d_bash_6383 | ---
+++
@@ -1,8 +1,6 @@
if [[ $IS_MAC -eq 1 ]]; then
export BROWSER='open'
- export EDITOR='subl'
-
- export CC="/usr/bin/gcc-4.2"
+ export CC=gcc
export ARCHFLAGS="-arch x86_64"
fi | bash |
d_bash_6384 | ---
+++
@@ -39,5 +39,5 @@
GEM_PATH="$gem_dir:$gem_home:$gem_root" \
PS1="$(basename $root)> $PS1" \
$command
- cd -
+ cd $OLDPWD
} | bash |
d_bash_6385 | ---
+++
@@ -8,7 +8,6 @@
#done
GCOV_CMD="${GCOV_CMD:-gcov}"
-ln -sf src/*.h ./
coveralls --exclude external --exclude hepconnector --exclude libelperiodic \
--exclude dist --exclude bench --exclude pertools --gcov "${GCOV_CMD}" \
--gcov-options '\-lp' | bash |
d_bash_6386 | ---
+++
@@ -5,7 +5,7 @@
npm login
node ./scripts/npm-access.js
-lerna publish
+lerna publish -- --access=public
git checkout master
git merge develop
git push origin master | bash |
d_bash_6387 | ---
+++
@@ -3,7 +3,7 @@
local version="$1"
local file="$2"
- grep --quiet --line-regexp "$version" "$file"
+ grep -q -x "$version" "$file"
}
function expand_version() | bash |
d_bash_6388 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
-set -ex
+set -e
if [ ! -e .git ] ; then
echo "Error: $0 must be run from the root of the pageshot checkout"
@@ -23,6 +23,7 @@
echo "Updating XPI"
mkdir -p static-xpi/
mv ./mozilla-pageshot.xpi static-xpi/
+ chmod a+r static-xpi/*
#mv ./mozilla-pageshot.... | bash |
d_bash_6389 | ---
+++
@@ -7,8 +7,10 @@
readonly name="ffs"
readonly ownership="ffs Upstream <robot@adios2>"
readonly subtree="thirdparty/ffs/ffs"
-readonly repo="https://github.com/GTkorvo/ffs.git"
-readonly tag="master"
+#readonly repo="https://github.com/GTkorvo/ffs.git"
+#readonly tag="master"
+readonly repo="https://github.... | bash |
d_bash_6390 | ---
+++
@@ -14,6 +14,11 @@
mkdir HarvardKennedySchool
mv HarvardKennedySchool-* HarvardKennedySchool/
+# Move Weekly email optin list
+mkdir HarvardX/CombinedCourseData
+mkdir HarvardX/CombinedCourseData/email_opt_in
+mv harvardx-email_opt_in-* HarvardX/CombinedCourseData/email_opt_in
+
#Now, decrypt everything,... | bash |
d_bash_6391 | ---
+++
@@ -2,12 +2,12 @@
clear_disk() {
local _disk="${1}"
- local _mirror=$(/sbin/gmirror dump ${_disk} 2>/dev/null | /usr/bin/sed '/name: /!d; s,^.*: ,,')
+ local _mirror=$(/sbin/gmirror dump "${_disk}" 2>/dev/null | /usr/bin/sed '/name: /!d; s,^.*: ,,')
if [ -n "${_mirror}" ]; then
- /sbin/gmirror destr... | bash |
d_bash_6392 | ---
+++
@@ -7,10 +7,6 @@
ccm create test -v $version -n 3 -s -d --vnodes
ccm status
ccm updateconf 'concurrent_reads: 8' 'concurrent_writes: 32' 'rpc_server_type: sync' 'rpc_min_threads: 2' 'rpc_max_threads: 8' 'write_request_timeout_in_ms: 5000' 'read_request_timeout_in_ms: 5000'
-
- ccm node1 nodetool disabl... | bash |
d_bash_6393 | ---
+++
@@ -1,9 +1,14 @@
#!/bin/bash
-if [ -z "$CHEF_SERVER_ENDPOINT" ]; then
+if [ -z "$CHEF_SERVER_ENDPOINT" ]; then
# set default
CHEF_SERVER_ENDPOINT="https://chef_server"
+fi
+
+if [ -z "$CHEF_CLIENT_NAME" ]; then
+ # set default
+ CHEF_CLIENT_NAME="berkshelf"
fi
cat >/home/berkshelf/... | bash |
d_bash_6394 | ---
+++
@@ -11,9 +11,11 @@
function mk_doc() {
local dir=$1
+ local flag=$2
pushd $dir > /dev/null
echo ":: Documenting '${dir}'..."
cargo doc --no-deps --all-features
+ cargo doc --no-deps $flag
popd > /dev/null
}
@@ -22,4 +24,4 @@
mk_doc $LIB_DIR
mk_doc $CODEGEN_DIR
-mk_doc $CONTRIB... | bash |
d_bash_6395 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/sh
+cd ./debian
version=`cat ../VERSION`
mkdir origami-smtp_v$version
mkdir origami-smtp_v$version/DEBIAN
@@ -16,7 +17,8 @@
dpkg-deb --build origami-smtp_v$version
rm -rf origami-smtp_v1.0.0$version
mv origami-smtp_v$version.deb ../
-if test -e "../origami-smtp_v$version.deb"; th... | bash |
d_bash_6396 | ---
+++
@@ -2,10 +2,10 @@
# AUTHOR: Jeremy Wall (jw), jeremy@marzhillstudios.com
set -x
-file=$1
+cmd=$1
cargo build --release
-sudo dtrace -c "target/release/ucg build ${file}" -o out.stacks -n 'profile-997 /execname == "ucg"/ { @[ustack(100)] = count(); }'
+sudo dtrace -c "target/release/ucg ${cmd}" -o out.... | bash |
d_bash_6397 | ---
+++
@@ -17,14 +17,17 @@
message="$(cat)"
archive="$(echo "$message" | grep -i "^list-archive:" | grep -o "<.*>" | tr -d "<>")"
-if [ "$archive" != "" ]; then
- date=$(echo "$message" | grep -i "^Date: " | sed "s/^Date: //")
+if [ -z "$archive" ]; then
+ exit
+fi
- if [ "$date" != "" ]; then
- list_dat... | bash |
d_bash_6398 | ---
+++
@@ -7,8 +7,6 @@
bundle exec rails db:migrate
echo 'running: bundle exec rake sunspot:solr:reindex'
bundle exec rake sunspot:solr:reindex
- echo 'copying public assets to volume'
- rsync -av --delete public/ /public/
echo 'finished initialisation'
touch completed_initial_run
fi | bash |
d_bash_6399 | ---
+++
@@ -2,6 +2,7 @@
# Install dependencies sequentially
cat requirements-core.txt \
+ requirements-gui.txt \
requirements-dev.txt \
requirements-doc.txt |
while read dep; do | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.